> For the complete documentation index, see [llms.txt](https://developers.polymath.network/polymesh-sdk-api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.polymath.network/polymesh-sdk-api-reference/docs-beta/classes/distributions.md).

# Distributions

Handles all Asset Distributions related functionality

## Hierarchy

* Namespace‹[Asset](/polymesh-sdk-api-reference/docs-beta/classes/asset.md)›

  ↳ **Distributions**

## Index

### Properties

* [context](#protected-context)
* [parent](#protected-parent)

### Methods

* [configureDividendDistribution](#configuredividenddistribution)
* [get](#get)
* [getOne](#getone)

## Properties

### `Protected` context

• **context**: *Context*

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:11*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Namespace.ts#L11)

***

### `Protected` parent

• **parent**: [*Asset*](/polymesh-sdk-api-reference/docs-beta/classes/asset.md)

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:9*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Namespace.ts#L9)

## Methods

### configureDividendDistribution

▸ **configureDividendDistribution**(`args`: [ConfigureDividendDistributionParams](/polymesh-sdk-api-reference/docs-beta/globals.md#configuredividenddistributionparams), `opts?`: [ProcedureOpts](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/procedureopts.md)): *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-beta/classes/transactionqueue.md)*‹*[*DividendDistribution*](/polymesh-sdk-api-reference/docs-beta/classes/dividenddistribution.md)*››*

*Defined in* [*src/api/entities/Asset/CorporateActions/Distributions.ts:39*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Asset/CorporateActions/Distributions.ts#L39)

Create a Dividend Distribution for a subset of the Asset Holders at a certain (existing or future) Checkpoint

**`note`** required role:

* Origin Portfolio Custodian

**`note`** this method is of type [ProcedureMethod](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/proceduremethod.md), which means you can call [configureDividendDistribution.checkAuthorization](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/proceduremethod.md#checkauthorization) on it to see whether the signing Account and Identity have the required roles and permissions to run it

**Parameters:**

| Name    | Type                                                                                                                        |
| ------- | --------------------------------------------------------------------------------------------------------------------------- |
| `args`  | [ConfigureDividendDistributionParams](/polymesh-sdk-api-reference/docs-beta/globals.md#configuredividenddistributionparams) |
| `opts?` | [ProcedureOpts](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/procedureopts.md)            |

**Returns:** *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/docs-beta/classes/transactionqueue.md)*‹*[*DividendDistribution*](/polymesh-sdk-api-reference/docs-beta/classes/dividenddistribution.md)*››*

***

### get

▸ **get**(): *Promise‹*[*DistributionWithDetails*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/distributionwithdetails.md)*\[]›*

*Defined in* [*src/api/entities/Asset/CorporateActions/Distributions.ts:114*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Asset/CorporateActions/Distributions.ts#L114)

Retrieve all Dividend Distributions associated to this Asset, along with their details

**Returns:** *Promise‹*[*DistributionWithDetails*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/distributionwithdetails.md)*\[]›*

***

### getOne

▸ **getOne**(`args`: object): *Promise‹*[*DistributionWithDetails*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/distributionwithdetails.md)*›*

*Defined in* [*src/api/entities/Asset/CorporateActions/Distributions.ts:62*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Asset/CorporateActions/Distributions.ts#L62)

Retrieve a single Dividend Distribution associated to this Asset by its ID

**`throws`** if there is no Distribution with the passed ID

**Parameters:**

▪ **args**: *object*

| Name | Type      |
| ---- | --------- |
| `id` | BigNumber |

**Returns:** *Promise‹*[*DistributionWithDetails*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/distributionwithdetails.md)*›*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-beta/classes/distributions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
